# angle::rot Class Reference

Angle representation in rotations. More...

`#include <ETL/angle>`

Inheritance diagram for angle::rot:

List of all members.

## Public Member Functions

| rot (const value_type &x)
| rot (const angle &a)
rot | mod () const
| Rotation Modulus.
rot | dist (const angle &rhs) const
| Angle Difference Function.
value_type | get () const

## Detailed Description

Angle representation in rotations.

See also:
  angle

Todo:
  This needs to be documented

Definition at line 401 of file _angle.h.

## Constructor & Destructor Documentation

angle::rot::rot | ( | const value_type & | x | ) | `[inline, explicit]`

Definition at line 404 of file _angle.h.

References angle::v.

angle::rot::rot | ( | const angle & | a | ) | `[inline]`

Definition at line 405 of file _angle.h.

## Member Function Documentation

rot angle::rot::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the angle

Reimplemented from angle.

Definition at line 406 of file _angle.h.

References angle::mod().

rot angle::rot::dist | ( | const angle & | rhs | ) | const`[inline]`

Angle Difference Function.

This function will return the difference between two angles, just like

See also:
  angle operator-(const angle &)

Reimplemented from angle.

Definition at line 407 of file _angle.h.

References angle::dist().

value_type angle::rot::get | ( |  | ) | const`[inline]`

Definition at line 408 of file _angle.h.

References angle::v.

The documentation for this class was generated from the following file:

- _angle.h